import { Transformations, ItemCoords, Props, State, RootElement, Transition, Style, Options } from '../types';
export declare const getSlides: (props: Props) => any;
export declare const getItemsCount: (props: Props) => number;
export declare const getItemsOffset: (props: Props) => 0 | 1;
export declare const createClones: (props: Props) => any;
export declare const isElement: (element: unknown) => boolean;
export declare const createAutowidthTransformationSet: (el: HTMLElement | null, stageWidth?: number, infinite?: boolean) => {
    coords: ItemCoords[];
    content: number;
    partial: boolean;
};
export declare const createDefaultTransformationSet: (children: unknown[], stageWidth: number, itemsInSlide: number, infinite?: boolean) => Transformations;
export declare const getItemWidth: (galleryWidth: number, itemsInSlide: number) => number;
export declare function getElementDimensions(element: HTMLElement | null): {
    width: number;
    height: number;
};
export declare const getAutoheightProperty: (stageComponent: HTMLElement | null, props: Props, state: State) => number | undefined;
export declare const getElementCursor: (props: Props, state: State) => number;
export declare const getElementFirstChild: (stageComponent: HTMLElement | null, cursor: number) => ChildNode | null;
export declare function shouldHandleResizeEvent(e: Event, prevDimensions?: RootElement, nextRootComponentDimensions?: RootElement): boolean;
export declare function animate(element: HTMLElement | null, options: Options): HTMLElement | null;
export declare const getRenderWrapperStyles: (props: Props, state: State, element: HTMLElement | null) => {
    height: number | undefined;
    transition: string | undefined;
    paddingLeft: string;
    paddingRight: string;
};
export declare const getTransitionProperty: (options?: Transition) => string;
export declare const getRenderStageStyles: (nextStyles: Options, currentStyles: Style) => Style;
export declare const getRenderStageItemStyles: (i: number, state: State) => {
    transform: string;
    animationDuration: string;
    width: string;
} | {
    width: number;
    transform?: undefined;
    animationDuration?: undefined;
};
export declare const getTranslate3dProperty: (nextIndex: number, state: Partial<State>) => number;
export declare const getTouchmoveTranslatePosition: (deltaX: number, translate3d: number) => number;
export declare function getTranslateXProperty(element: Element | null): number;
export declare function getTransformMatrix(element: Element | null): RegExpMatchArray;
export declare const canUseDOM: () => boolean;
export declare const getItemsInSlide: (itemsCount: number, props: Props) => number;
